Last Comment Bug 325845 - Esc should cancel incomplete edit, not commit it, when closing Bookmark Info panel
: Esc should cancel incomplete edit, not commit it, when closing Bookmark Info ...
Status: RESOLVED FIXED
: fixed1.8.1.1
Product: Camino Graveyard
Classification: Graveyard
Component: Bookmarks (show other bugs)
: unspecified
: PowerPC Mac OS X
-- normal (vote)
: Camino1.5
Assigned To: froodian (Ian Leue)
:
:
Mentors:
Depends on: 337570 360345
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-03 23:08 PST by Smokey Ardisson (offline for a while; not following bugs - do not email)
Modified: 2006-11-14 15:35 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (1.39 KB, patch)
2006-11-02 23:15 PST, froodian (Ian Leue)
moz: review+
stuart.morgan+bugzilla: superreview+
Details | Diff | Splinter Review

Description User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-02-03 23:08:55 PST
In the bookmark info panel, Esc currently commits an in-progress edit and closes the info panel.  Instead, Esc should cancel the in-progress (uncommitted) edit when it closes the panel.
Comment 1 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-05-12 06:20:40 PDT
This panel has accumulated a list of bugs; see also bug 319746 and the depends list of bug 325880.
Comment 2 User image froodian (Ian Leue) 2006-11-02 23:15:35 PST
Created attachment 244548 [details] [diff] [review]
Patch
Comment 3 User image Wevah 2006-11-02 23:17:49 PST
Comment on attachment 244548 [details] [diff] [review]
Patch

r=me, code-wise
Comment 4 User image Stuart Morgan 2006-11-12 16:58:00 PST
Comment on attachment 244548 [details] [diff] [review]
Patch

>+  // update UI so changes don't get committed

s/update/revert/

sr=smorgan with that change
Comment 5 User image froodian (Ian Leue) 2006-11-14 15:35:45 PST
Checked in on trunk and 1.8branch

Note You need to log in before you can comment on or make changes to this bug.